--- irec_crs_crop.c	2005-04-21 16:50:03.000000000 +1200
+++ gdal_crs_crop.c	2005-04-21 16:48:10.000000000 +1200
@@ -4,8 +4,11 @@
 */
 /***************************************************************************/
 
-int 
-CRS_compute_georef_equations (struct Control_Points *cp, double E12[], double N12[], double E21[], double N21[], int order)
+static int 
+CRS_compute_georef_equations (struct Control_Points *cp, 
+                                      double E12[], double N12[], 
+                                      double E21[], double N21[], 
+                                      int order)
   {
   double *tempptr;
   int status;
@@ -77,22 +80,22 @@
 
   /* INITIALIZE MATRIX */
 
-  m.v = (DOUBLE *)G_calloc(m.n*m.n,sizeof(DOUBLE));
+    m.v = (double *)CPLCalloc(m.n*m.n,sizeof(double));
   if(m.v == NULL)
     {
     return(MMEMERR);
     }
-  a = (DOUBLE *)G_calloc(m.n,sizeof(DOUBLE));
+    a = (double *)CPLCalloc(m.n,sizeof(double));
   if(a == NULL)
     {
-    G_free((char *)m.v);
+        CPLFree((char *)m.v);
     return(MMEMERR);
     }
-  b = (DOUBLE *)G_calloc(m.n,sizeof(DOUBLE));
+    b = (double *)CPLCalloc(m.n,sizeof(double));
   if(b == NULL)
     {
-    G_free((char *)m.v);
-    G_free((char *)a);
+        CPLFree((char *)m.v);
+        CPLFree((char *)a);
     return(MMEMERR);
     }
 
@@ -101,9 +104,9 @@
   else
     status = calcls(cp,&m,a,b,E,N);
 
-  G_free((char *)m.v);
-  G_free((char *)a);
-  G_free((char *)b);
+    CPLFree((char *)m.v);
+    CPLFree((char *)a);
+    CPLFree((char *)b);
 
   return(status);
   }
